python-module-velruse-1.1.1-alt1_13.noarch.rpm


Advertisement

Description

python-module-velruse - Simplify third-party authentication for web applications

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename python-module-velruse-1.1.1-alt1_13.noarch.rpm
Package name python-module-velruse
Package version 1.1.1
Package release alt1_13
Package architecture noarch
Package type rpm
Category Development/Other
Homepage -
License -
Maintainer -
Download size 287.58 KB
Installed size 287.58 KB
Velruse is a set of authentication routines that provide a unified way
to have a website user authenticate to a variety of different identity
providers and/or a variety of different authentication schemes.
It is similar in some ways to Janrain Engage with the exception of being
open-source, locally installable, and easily pluggable for custom identity
providers and authentication schemes.
You can run Velruse as a stand-alone service for use with your websites
regardless of the language theya.'re written in. While Velruse itself is
written in Python, since it can interact with your website purely via HTTP
POSTa.'s.
Velruse can:
- Normalize identity information from varying provider sources (OpenID,
Google, Facebook, etc.) to Portable Contacts.
- Simplify complex authentication protocols by providing a simple
consistent API
- Provide extension points for other authentication systems, write your
own auth provider to handle CAS, LDAP, and use it with ease
- Integrate with most web applications regardless of the language used to
write the website
Velruse aims to simplify authenticating a user. It provides auth providera.'s
that handle authenticating to a variety of identity providers with multiple
authentication schemes (LDAP, SAML, etc.). Eventually, Velruse will include
widgets similar to RPXNow that allow one to customize a login/registration
widget so that a website user can select a preferred identity provider to
use to sign-in. In the mean-time, effort is focused on increasing the
available auth providera.'s for the commonly used authentication schemes and
identity providers (Facebook, Google, OpenID, etc). Unlike other
authentication libraries for use with web applications, a website using
Velruse for authentication does not have to be written in any particular
language.

Alternatives

Package Version Architecture Repository
python-module-velruse - - -

Requires

Name Value
/usr/lib/python2.7/site-packages -
python-modules -
python2.7(anykeystore) -
python2.7(httplib2) -
python2.7(json) -
python2.7(oauth2) -
python2.7(pyramid) -
python2.7(requests) -
python2.7(requests_oauthlib) -
python2.7(routes) -
python2.7(webob) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
python-module-velruse = 1.1.1-alt1_13
python2.7(velruse) -
python2.7(velruse.api) -
python2.7(velruse.app) -
python2.7(velruse.app.baseconvert) -
python2.7(velruse.app.utils) -
python2.7(velruse.compat) -
python2.7(velruse.exceptions) -
python2.7(velruse.providers) -
python2.7(velruse.providers.bitbucket) -
python2.7(velruse.providers.douban) -
python2.7(velruse.providers.facebook) -
python2.7(velruse.providers.github) -
python2.7(velruse.providers.google) -
python2.7(velruse.providers.google_hybrid) -
python2.7(velruse.providers.google_oauth2) -
python2.7(velruse.providers.identica_) -
python2.7(velruse.providers.lastfm) -
python2.7(velruse.providers.linkedin) -
python2.7(velruse.providers.live) -
python2.7(velruse.providers.mailru) -
python2.7(velruse.providers.oid_extensions) -
python2.7(velruse.providers.openid) -
python2.7(velruse.providers.qq) -
python2.7(velruse.providers.renren) -
python2.7(velruse.providers.taobao) -
python2.7(velruse.providers.twitter) -
python2.7(velruse.providers.vk) -
python2.7(velruse.providers.weibo) -
python2.7(velruse.providers.yahoo) -
python2.7(velruse.providers.yandex) -
python2.7(velruse.settings) -
python2.7(velruse.utils) -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package python-module-velruse-1.1.1-alt1_13.noarch.rpm
Source Package python-module-velruse-1.1.1-alt1_13.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install python-module-velruse rpm package:
    # sudo apt-get install python-module-velruse

Files

Path
/usr/lib/python2.7/site-packages/velruse/__init__.py
/usr/lib/python2.7/site-packages/velruse/__init__.pyc
/usr/lib/python2.7/site-packages/velruse/__init__.pyo
/usr/lib/python2.7/site-packages/velruse/api.py
/usr/lib/python2.7/site-packages/velruse/api.pyc
/usr/lib/python2.7/site-packages/velruse/api.pyo
/usr/lib/python2.7/site-packages/velruse/compat.py
/usr/lib/python2.7/site-packages/velruse/compat.pyc
/usr/lib/python2.7/site-packages/velruse/compat.pyo
/usr/lib/python2.7/site-packages/velruse/exceptions.py
/usr/lib/python2.7/site-packages/velruse/exceptions.pyc
/usr/lib/python2.7/site-packages/velruse/exceptions.pyo
/usr/lib/python2.7/site-packages/velruse/settings.py
/usr/lib/python2.7/site-packages/velruse/settings.pyc
/usr/lib/python2.7/site-packages/velruse/settings.pyo
/usr/lib/python2.7/site-packages/velruse/utils.py
/usr/lib/python2.7/site-packages/velruse/utils.pyc
/usr/lib/python2.7/site-packages/velruse/utils.pyo
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/PKG-INFO
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/SOURCES.txt
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/dependency_links.txt
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/entry_points.txt
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/not-zip-safe
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/requires.txt
/usr/lib/python2.7/site-packages/velruse-1.1.1-py2.7.egg-info/top_level.txt
/usr/lib/python2.7/site-packages/velruse/app/__init__.py
/usr/lib/python2.7/site-packages/velruse/app/__init__.pyc
/usr/lib/python2.7/site-packages/velruse/app/__init__.pyo
/usr/lib/python2.7/site-packages/velruse/app/baseconvert.py
/usr/lib/python2.7/site-packages/velruse/app/baseconvert.pyc
/usr/lib/python2.7/site-packages/velruse/app/baseconvert.pyo
/usr/lib/python2.7/site-packages/velruse/app/utils.py
/usr/lib/python2.7/site-packages/velruse/app/utils.pyc
/usr/lib/python2.7/site-packages/velruse/app/utils.pyo
/usr/lib/python2.7/site-packages/velruse/providers/__init__.py
/usr/lib/python2.7/site-packages/velruse/providers/__init__.pyc
/usr/lib/python2.7/site-packages/velruse/providers/__init__.pyo
/usr/lib/python2.7/site-packages/velruse/providers/bitbucket.py
/usr/lib/python2.7/site-packages/velruse/providers/bitbucket.pyc
/usr/lib/python2.7/site-packages/velruse/providers/bitbucket.pyo
/usr/lib/python2.7/site-packages/velruse/providers/douban.py
/usr/lib/python2.7/site-packages/velruse/providers/douban.pyc
/usr/lib/python2.7/site-packages/velruse/providers/douban.pyo
/usr/lib/python2.7/site-packages/velruse/providers/facebook.py
/usr/lib/python2.7/site-packages/velruse/providers/facebook.pyc
/usr/lib/python2.7/site-packages/velruse/providers/facebook.pyo
/usr/lib/python2.7/site-packages/velruse/providers/github.py
/usr/lib/python2.7/site-packages/velruse/providers/github.pyc
/usr/lib/python2.7/site-packages/velruse/providers/github.pyo
/usr/lib/python2.7/site-packages/velruse/providers/google.py
/usr/lib/python2.7/site-packages/velruse/providers/google.pyc
/usr/lib/python2.7/site-packages/velruse/providers/google.pyo
/usr/lib/python2.7/site-packages/velruse/providers/google_hybrid.py
/usr/lib/python2.7/site-packages/velruse/providers/google_hybrid.pyc
/usr/lib/python2.7/site-packages/velruse/providers/google_hybrid.pyo
/usr/lib/python2.7/site-packages/velruse/providers/google_oauth2.py
/usr/lib/python2.7/site-packages/velruse/providers/google_oauth2.pyc
/usr/lib/python2.7/site-packages/velruse/providers/google_oauth2.pyo
/usr/lib/python2.7/site-packages/velruse/providers/identica_.py
/usr/lib/python2.7/site-packages/velruse/providers/identica_.pyc
/usr/lib/python2.7/site-packages/velruse/providers/identica_.pyo
/usr/lib/python2.7/site-packages/velruse/providers/lastfm.py
/usr/lib/python2.7/site-packages/velruse/providers/lastfm.pyc
/usr/lib/python2.7/site-packages/velruse/providers/lastfm.pyo
/usr/lib/python2.7/site-packages/velruse/providers/linkedin.py
/usr/lib/python2.7/site-packages/velruse/providers/linkedin.pyc
/usr/lib/python2.7/site-packages/velruse/providers/linkedin.pyo
/usr/lib/python2.7/site-packages/velruse/providers/live.py
/usr/lib/python2.7/site-packages/velruse/providers/live.pyc
/usr/lib/python2.7/site-packages/velruse/providers/live.pyo
/usr/lib/python2.7/site-packages/velruse/providers/mailru.py
/usr/lib/python2.7/site-packages/velruse/providers/mailru.pyc
/usr/lib/python2.7/site-packages/velruse/providers/mailru.pyo
/usr/lib/python2.7/site-packages/velruse/providers/oid_extensions.py
/usr/lib/python2.7/site-packages/velruse/providers/oid_extensions.pyc
/usr/lib/python2.7/site-packages/velruse/providers/oid_extensions.pyo
/usr/lib/python2.7/site-packages/velruse/providers/openid.py
/usr/lib/python2.7/site-packages/velruse/providers/openid.pyc
/usr/lib/python2.7/site-packages/velruse/providers/openid.pyo
/usr/lib/python2.7/site-packages/velruse/providers/qq.py
/usr/lib/python2.7/site-packages/velruse/providers/qq.pyc
/usr/lib/python2.7/site-packages/velruse/providers/qq.pyo
/usr/lib/python2.7/site-packages/velruse/providers/renren.py
/usr/lib/python2.7/site-packages/velruse/providers/renren.pyc
/usr/lib/python2.7/site-packages/velruse/providers/renren.pyo
/usr/lib/python2.7/site-packages/velruse/providers/taobao.py
/usr/lib/python2.7/site-packages/velruse/providers/taobao.pyc
/usr/lib/python2.7/site-packages/velruse/providers/taobao.pyo
/usr/lib/python2.7/site-packages/velruse/providers/twitter.py
/usr/lib/python2.7/site-packages/velruse/providers/twitter.pyc
/usr/lib/python2.7/site-packages/velruse/providers/twitter.pyo
/usr/lib/python2.7/site-packages/velruse/providers/vk.py
/usr/lib/python2.7/site-packages/velruse/providers/vk.pyc
/usr/lib/python2.7/site-packages/velruse/providers/vk.pyo
/usr/lib/python2.7/site-packages/velruse/providers/weibo.py
/usr/lib/python2.7/site-packages/velruse/providers/weibo.pyc
/usr/lib/python2.7/site-packages/velruse/providers/weibo.pyo
/usr/lib/python2.7/site-packages/velruse/providers/yahoo.py
/usr/lib/python2.7/site-packages/velruse/providers/yahoo.pyc
/usr/lib/python2.7/site-packages/velruse/providers/yahoo.pyo
/usr/lib/python2.7/site-packages/velruse/providers/yandex.py
/usr/lib/python2.7/site-packages/velruse/providers/yandex.pyc
/usr/lib/python2.7/site-packages/velruse/providers/yandex.pyo
/usr/share/doc/python-module-velruse-1.1.1/PKG-INFO

See Also

Package Description
python-module-virtualenv-api-2.1.9-alt1_5.noarch.rpm An API for virtualenv/pip
python-module-virtualenv-clone-0.2.6-alt1_12.noarch.rpm Script to clone virtualenvs
python-module-virtualenvcontext-0.1.6-alt1_11.noarch.rpm Switch virtualenvs with a python context manager
python-module-virtualenvwrapper-4.8.2-alt1_6.noarch.rpm Enhancements to virtualenv
python-module-vkontakte-1.3.3-alt1_10.noarch.rpm vk.com (aka vkontakte.ru) API wrapper
python-module-webob1.1-1.1.1-alt1_17.noarch.rpm WSGI request and response object
python-module-webtest1.3-1.3.4-alt1_17.noarch.rpm Helper to test WSGI applications
python-module-whisper-0.9.15-alt1_2.noarch.rpm Simple database library for storing time-series data
python-module-wikimarkup-1.01-alt1_14.005svn.noarch.rpm Formats text to Mediawiki syntax
python-module-woffTools-0.1-alt2_0.11.20151005git.noarch.rpm Tool for manipulating and examining WOFF files
python-module-wokkel-0.7.1-alt1_13.noarch.rpm Enhancements to the Twisted XMPP protocol implementation
python-module-wordpress-xmlrpc-2.3-alt1_13.noarch.rpm WordPress XML-RPC API Integration Library
python-module-wsgi-jsonrpc-0.2.9-alt1_5.noarch.rpm Expose Python classes via JSON using WSGI
python-module-wsgiref-0.1.2-alt1_16.noarch.rpm WSGI (PEP 333) Reference Library
python-module-xgoogle-1.4-alt1_15.noarch.rpm Python library to search Google without using their API
Advertisement
Advertisement